Package org.apache.ignite.internal.sql.command

## Class SqlDropIndexCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlDropIndexCommand

All Implemented Interfaces:
  `SqlCommand`

    public class SqlDropIndexCommand
    extends Object
    implements SqlCommand

DROP INDEX command.

### Constructor Summary

Constructors
`SqlDropIndexCommand()` Default constructor.
`SqlDropIndexCommand​(String schemaName, String idxName, boolean ifExists)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `ifExists()`
`String` `indexName()`
`SqlCommand` `parse​(SqlLexer lex)` Parse command.
`String` `schemaName()`
`void` `schemaName​(String schemaName)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlDropIndexCommand

    public SqlDropIndexCommand()

Default constructor.

#### SqlDropIndexCommand

    public SqlDropIndexCommand​(String schemaName,
                               String idxName,
                               boolean ifExists)

Parameters:
  `schemaName` - Schema name.
  `idxName` - Index name.
  `ifExists` - If exists clause.

### Method Detail

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName​(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

#### indexName

    public String indexName()

Returns:
  Index name.

#### ifExists

    public boolean ifExists()

Returns:
  IF EXISTS flag.

#### parse

    public SqlCommand parse​(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`